Ticket #42337

civ2civ3: helptext of Tech Communism is wrong

Open Date: 2021-05-21 05:04 Last Update: 2021-05-30 10:53

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

civ2civ3: helptext of Tech Communism was wrong. In this ruleset, the effect of Cathedrals is reduced by the Communism government, not by the tech.

Fixed typo error in helptext of Anarchy government. Added missing "*", and joined the 2 lines related to luxury.

Ticket History (3/18 Histories)

2021-05-21 05:04 Updated by: bard
  • New Ticket "civ2civ3: helptext of Tech Communism is wrong" created
2021-05-21 05:19 Updated by: bard
  • File m-civ2civ3-helptext-of-Tech-Communism-was-wrong.patch (File ID: 6882) is attached
2021-05-21 05:23 Updated by: bard
Comment

I forgot to include sandbox... incoming new patch

2021-05-21 05:47 Updated by: bard
  • File m-civ2civ3-helptext-of-Tech-Communism-was-wrong.patch (File ID: 6882) is deleted
2021-05-21 10:38 Updated by: cazfi
Comment

Are all branches affected?

2021-05-24 02:08 Updated by: bard
Comment

Yes, all branches are affected. The patch works for 3.1 and 3.0 too. I just tested it. Altough the patch adds a text line that I'm not sure if it might be improved:

* Cancels the bonus from Mysticism and Theology (to Temples and Cathedrals).

2021-05-24 02:15 Updated by: cazfi
Comment

Reply To bard

Yes, all branches are affected. The patch works for 3.1 and 3.0 too. I just tested it.

That leaves only S2_6.
2021-05-24 02:25 Updated by: chippo
Comment

Reply To bard

Altough the patch adds a text line that I'm not sure if it might be improved: * Cancels the bonus from Mysticism and Theology (to Temples and Cathedrals).

Seems unambiguous to me.

One thing related, that I never understood properly or tested: In a non-communist government, does Michael Angelo's, Theology and a cathedral give 7 or 8 content? Clearly (now) under communism it is 6.

2021-05-24 03:51 Updated by: bard
Comment

Reply To chippo

One thing related, that I never understood properly or tested: In a non-communist government, does Michael Angelo's, Theology and a cathedral give 7 or 8 content? Clearly (now) under communism it is 6.

In civ2civ3 it's 7: 3 from cathedral + 1 from Theology + 3 from Michael Angelo's

in classic it's 6 most of the time, 8 with Theology, and 6 again after discovery of Communism.

2021-05-24 04:04 Updated by: chippo
Comment

Reply To bard

In civ2civ3 it's 7: 3 from cathedral + 1 from Theology + 3 from Michael Angelo's in classic it's 6 most of the time, 8 with Theology, and 6 again after discovery of Communism.

Sweet. And now I know why I was confused between 7 & 8. I was testing/experimenting in both classic and civ2civ3 and not taking notes (relying on my terrible memory).

But I think some help-text somewhere (not sure where), should clarify this so that our users can work this out for themselves.

2021-05-24 10:27 Updated by: None
Comment

Reply To cazfi

That leaves only S2_6.

I forgot about S2_6. The patch won't apply there, I'll do one asap.

Reply To chippo

But I think some help-text somewhere (not sure where), should clarify this so that our users can work this out for themselves.

I thought it'd be simpler to explain/understand if Michael Angelo's does not duplicate theology effect. I understand it might be confusing when coming from classic. But current helptext tries to clarify it:

Doubles the base effect of Cathedrals. This makes 3 additional unhappy citizens content in each city with a Cathedral; however, it does not affect citizens made unhappy by aggression.

2021-05-27 06:52 Updated by: cazfi
Comment

Reply To (Anonymous)

Reply To cazfi

That leaves only S2_6.

I forgot about S2_6. The patch won't apply there, I'll do one asap.

I'll be pushing string changes to S2_6 with relatively high priority now, so that translators have more time to do their thing before 2.6.5 release.

2021-05-27 08:51 Updated by: bard
Comment

Uploaded patch for S2_6. The patch for Master works for S3_0 and S3_1 too.

I'm still learning to handle different branches with git, but it seems better than it was with svn. The first patch is the hardest one to get right, for next ones I'll repeat the same procedure.

cazfi, where can I find the current state of each branch: format freeze, string freeze, only bug fixes, etc?

2021-05-27 10:23 Updated by: cazfi
Comment

Reply To bard

cazfi, where can I find the current state of each branch: format freeze, string freeze, only bug fixes, etc?

Only by following announcements to freeciv-dev mailing list, I guess.

2021-05-27 10:23 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.5 (closed)
  • Component Update from (None) to Rulesets
2021-05-30 10:53 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login